#ifndef MINE_H
#define MINE_H

/**
 * @brief 矿井里相关的业务
 * @author 戴月腾
 * @date 2018-09-24
 */

#include <unordered_map>
#include "db_api/CDBConnPool.h"
#include <log.h>

struct mine_tool
{
    mine_tool():
        m_over_speed_count(0)
      ,m_normal_speed_count(0)
      ,m_status_call(0)
    {

    }

    int    m_over_speed_count;
    int    m_normal_speed_count;
    ///CALL_NONE(0):没有呼叫，CALL_ING（2）：正在呼叫，CALL_SUCCESSED（1）：呼叫成功
    int m_status_call;

    void on_point(uint32_t card_id, int32_t type, int vehicle_category_id);
};



#endif // MINE_H
